Bug 1123098 - Review Request: libreoffice-TexMaths - A LaTex Equation Editor for LibreOffice
Summary: Review Request: libreoffice-TexMaths - A LaTex Equation Editor for LibreOffice
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 21:04 UTC by Orion Poplawski
Modified: 2014-07-25 17:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 17:40:21 UTC
susi.lehtola: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2014-07-24 21:04:09 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/libreoffice-TexMaths.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/libreoffice-TexMaths-0.39-1.fc20.src.rpm
Description: 
TexMaths is a LaTeX equation editor for LibreOffice.  It is derived from
OOoLatex, originally developed by Geoffroy Piroux.

As its predecessor, TexMaths is a LibreOffice extension that allows you to
enter and edit LaTeX equations directly into LibreOffice documents.

Fedora Account System Username: orion

I've not added a provides: openoffice.org-ooolatex becuase nothing depends on it.

Comment 1 Susi Lehtola 2014-07-24 21:49:12 UTC
Taking this.

Comment 2 Susi Lehtola 2014-07-25 05:10:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
- No license boilerplates, but README states GPLv2+.
[-]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
- I'd put in a Provides as well to facilitate migration. But not having is OK by me as well, because this is a different package.

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
- IMHO you should not sed the license file for the address...
- I trust you've contacted upstream about the wrong address?

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

[!]: Packages should try to preserve timestamps of original installed files.
- While sed'ing the source, you should preserve the timestamp.

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libreoffice-TexMaths-0.39-1.fc20.x86_64.rpm
          libreoffice-TexMaths-0.39-1.fc20.src.rpm
libreoffice-TexMaths.x86_64: E: explicit-lib-dependency libreoffice-draw
libreoffice-TexMaths.x86_64: E: explicit-lib-dependency libreoffice-writer
libreoffice-TexMaths.x86_64: W: obsolete-not-provided openoffice.org-ooolatex
libreoffice-TexMaths.x86_64: E: no-binary
libreoffice-TexMaths.x86_64: W: only-non-binary-in-usr-lib
libreoffice-TexMaths.src: W: no-%build-section
2 packages and 0 specfiles checked; 3 errors, 3 warnings.

These are all OK. The first two are spurious. The third one is not IMHO obligatory, but would be nice. The last ones are caused by an arched libreoffice extensions dir, which can't be avoided.


Rpmlint (installed packages)
----------------------------
# rpmlint libreoffice-TexMaths
libreoffice-TexMaths.x86_64: E: explicit-lib-dependency libreoffice-draw
libreoffice-TexMaths.x86_64: E: explicit-lib-dependency libreoffice-writer
libreoffice-TexMaths.x86_64: W: obsolete-not-provided openoffice.org-ooolatex
libreoffice-TexMaths.x86_64: E: no-binary
libreoffice-TexMaths.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 3 errors, 2 warnings.
# echo 'rpmlint-done:'

Again OK.


Requires
--------
libreoffice-TexMaths (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/dvipng
    libreoffice-draw
    libreoffice-writer
    tex(latex)



Provides
--------
libreoffice-TexMaths:
    libreoffice-TexMaths
    libreoffice-TexMaths(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/texmaths/TexMaths-0.39.oxt :
  CHECKSUM(SHA256) this package     : c12755786ce17cedb1f41fdcc9acd80b063cd92914a392edceeff1dd83af602c
  CHECKSUM(SHA256) upstream package : c12755786ce17cedb1f41fdcc9acd80b063cd92914a392edceeff1dd83af602c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -r -n libreoffice-TexMaths-0.39-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

*****

This review has been

APPROVED.

Please check the Provides and the license address issues.

Comment 3 Susi Lehtola 2014-07-25 05:11:04 UTC
Oh and scrap the commented patch line.

Comment 4 Orion Poplawski 2014-07-25 14:08:21 UTC
(In reply to Susi Lehtola from comment #3)
> Oh and scrap the commented patch line.

Yeah, caught that just after you took the review :), thanks.

New Package SCM Request
=======================
Package Name: libreoffice-TexMaths
Short Description: A LaTex Equation Editor for LibreOffice
Upstream URL: http://roland65.free.fr/texmaths/
Owners: orion
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-25 16:04:25 UTC
Git done (by process-git-requests).

Comment 6 Orion Poplawski 2014-07-25 17:40:21 UTC
Checked in and built.  Thanks all.


Note You need to log in before you can comment on or make changes to this bug.